package com.ruoyi.web.domain;

/**
 * Pms订单入库请求
 */
public class PmsOrderInRequest {
    /**
     * 入库单号
     */
    private String listId;
    /**
     * 订单类型
     */
    private Integer orderType;
    /**
     * 客户Id
     */
    private String customerId;
    /**
     * 订单号
     */
    private String orderId;
    /**
     * 物料号
     */
    private String goodsId;
    /**
     * 物料数量
     */
    private Integer goodsNum;
    /**
     * 物料条码
     */
    private String goodsCode;
    /**
     * 物料描述
     */
    private String goodsDesc;
    /**
     * 单位
     */
    private String unit;
    /**
     * 预留1
     */
    private String spare1;
    /**
     * 预留2
     */
    private String spare2;

    public String getListId() {
        return listId;
    }

    public void setListId(String listId) {
        this.listId = listId;
    }

    public Integer getOrderType() {
        return orderType;
    }

    public void setOrderType(Integer orderType) {
        this.orderType = orderType;
    }

    public String getCustomerId() {
        return customerId;
    }

    public void setCustomerId(String customerId) {
        this.customerId = customerId;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(String goodsId) {
        this.goodsId = goodsId;
    }

    public Integer getGoodsNum() {
        return goodsNum;
    }

    public void setGoodsNum(Integer goodsNum) {
        this.goodsNum = goodsNum;
    }

    public String getGoodsCode() {
        return goodsCode;
    }

    public void setGoodsCode(String goodsCode) {
        this.goodsCode = goodsCode;
    }

    public String getGoodsDesc() {
        return goodsDesc;
    }

    public void setGoodsDesc(String goodsDesc) {
        this.goodsDesc = goodsDesc;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getSpare1() {
        return spare1;
    }

    public void setSpare1(String spare1) {
        this.spare1 = spare1;
    }

    public String getSpare2() {
        return spare2;
    }

    public void setSpare2(String spare2) {
        this.spare2 = spare2;
    }
}
